Bug 14716 - теряет все сессии при обновлении пакета
: теряет все сессии при обновлении пакета
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dbus)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
: 30328 30338
:
  Show dependency tree
 
Reported: 2008-03-01 01:44 by
Modified: 2014-09-21 19:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-01 01:44:52
При обновлении пакета перезапускается и теряет все сессии.
Пока не прижимает, погляди на всякий, как у других.
А то с KDE4 активно спрашивать начнут.
------- Comment #1 From 2008-03-01 10:30:58 -------
при обновлении он не перезапускается, поэтому потерять ничего не может
------- Comment #2 From 2008-03-02 15:39:04 -------
При обновлении с dbus-0:1.0.2-alt4 на dbus-0:1.0.3-alt1.M40.1 перезапустился и 
потерял

2: dbus                      
################################################################################################ 
[ 50%]
Stopping system message bus service: [ DONE ]
Starting system message bus service: [ DONE ]
3: dbus-tools                
################################################################################################ 
[ 75%]
------- Comment #3 From 2008-03-02 15:41:44 -------
Т.е. на попытку отмонтировать USB-диск по иконке мне сказали "пошел на фиг, 
связи нет". А в KDE4 вообще всё-подряд через dbus идет
------- Comment #4 From 2008-03-02 17:49:30 -------
Product: ALT Linux Sisyphus
в сизифе dbus-1.0.* не обнаружено
------- Comment #5 From 2008-03-04 01:59:40 -------
А-а-а, точно. Теперь condrestart пустой.
------- Comment #6 From 2009-01-28 09:55:47 -------
сейчас на dbus завязан X.org. У меня обвал иксов произошёл как раз во время
обновления dbus. В скриптах restart-а нет, но я думаю, это произошло из-за
каких-нибудь пайпов или сокетов.

В любом случае обвал иксов при обновлении dbus - это MAJOR.

Коллеги?
------- Comment #7 From 2009-01-28 12:47:19 -------
Могло из-за hal. У меня нередко валятся X-ы на 4.1 и Сизифе при
вставке/вынимании USB-накопителей
------- Comment #8 From 2009-01-30 14:19:41 -------
Это не из-за hal

Я переоткрываю ошибку, поскольку поведение dbus при обновлении роняет важные
для пользователя сервисы (в т.ч. иксы).

Предлагаю мэйнтейнеру признать невозможность исправить проблему и поставить
WONTFIX ;-)
------- Comment #9 From 2009-01-30 15:59:26 -------
Ващщета нормальный клиент должен сам реконнектится к dbus'у.
------- Comment #10 From 2009-02-01 14:32:24 -------
Тогда, если Валерий не возражает, я повешаю багу на X.org.
Валерий?
------- Comment #11 From 2009-02-01 14:45:02 -------
он будет закрыт как "NOTABUG" с ответом "не воспроизводится"
------- Comment #12 From 2009-03-18 09:47:32 -------
пролечилось. Как - не знаю.
------- Comment #13 From 2009-03-18 12:31:48 -------
(В ответ на комментарий №9)
> Ващщета нормальный клиент должен сам реконнектится к dbus'у.
Некоторых этих "клиентов" сперва запатчить нужно, чтоб хотя бы не падали при
перезапуске dbus ;-)
------- Comment #14 From 2014-07-10 11:18:52 -------
под управлением systemd команда condrestart успешно отрабатыват, и
перезагружает dbus. X-ы успешно падают, в системе остаются дублированные пакеты
dbus. Обновление возможно только из консоли.
Предлагаю либо вообще не выполнять
%post_service messagebus
либо добавить в dbus.service в секцию [Unit]

RefuseManualStart=yes
RefuseManualStop=yes
------- Comment #15 From 2014-07-10 15:46:49 -------
(In reply to comment #9)
> Ващщета нормальный клиент должен сам реконнектится к dbus'у.

Перечитал комментарии и пришёл к выводу, что, возможно, действительно, надо
вешать баги на те программы, которые, собственно, падают.

Возможно, Валерий готов пересмотреть своё мнение на счёт "не воспроизводится"?
P.S. "а как там у соседей?"
------- Comment #16 From 2014-07-10 16:09:38 -------
(В ответ на комментарий №15)
> вешать баги на те программы, которые, собственно, падают.
Чинить, а не вешать баги. От вешанья они падать не перестанут.
------- Comment #17 From 2014-09-17 15:37:38 -------
dbus-1.8.8-alt1 -> sisyphus:

* Wed Sep 17 2014 Valery Inozemtsev <shrek@altlinux> 1.8.8-alt1
- 1.8.8
- dbus.service: added refuse manual start/stop=yes (closes: #14716)
------- Comment #18 From 2014-09-19 21:50:30 -------
если проблема всплывает только при обновлении rpm-пакета, то надо её чинить
средствами rpm (не запускать рестарт во время %post).
А запрещать start,stop, делать пустую заглушку для condrestart - это
маскировать проблему.
------- Comment #19 From 2014-09-21 19:53:35 -------
dbus-1.8.8-alt2 -> sisyphus:

* Sun Sep 21 2014 Alexey Shabalin <shaba@altlinux> 1.8.8-alt2
- revert "refuse manual start/stop=yes" for systemd(ALT#30338)
- recovery support condrestart for sysv init script(ALT#30328)
- another fix for upgrade package (ALT#14716)